/* +--------------------------------------------------------------------------+
// ? 2002-2013 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: demand.css,v 1.1.4.3 2026/06/22 14:17:49 lantunes Exp $ */

/* Mes demandes */

/* Formulaires d'ajouts/modification des demandes/actions */
#modif_dmde .form-contenu,
#modif_action .form-contenu {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

#modif_dmde .form-contenu .row .left,
#modif_action .form-contenu .row .left {
    display: flex;
    align-items: center;
    gap: 16px;
}

/* Permet de cibler le <a> permettant d'ajouter/créer une demande */
.demand .pmb-button {
  all: revert;
}

#empr-dema #liste .row a,
#empr-dema .button,
.write_note input[type="submit"] {
    margin-top: 24px;
    margin-bottom: 16px;
    display: inline-block;
    background-color: #333446;
    color: #F9F9F9;
    font-family: "Montserrat", helvetica, sans-serif;
    font-size: 1rem;
    padding: 12px 24px;
    border: 1px solid #333446;
    border-radius: 5px;
    cursor: pointer;
    transition: .2s ease-in-out;
    text-decoration: none;
    line-height: 1.6;
}

/* Bouton sur la notice reduite et detaillee */
.demand a {
  margin-top: 0;
  margin-bottom: 16px;
  display: inline-block;
  background-color: #333446;
  color: #F9F9F9;
  font-family: "Montserrat", helvetica, sans-serif;
  font-size: 1rem;
  padding: 12px 24px;
  border: 1px solid #333446;
  border-radius: 5px;
  cursor: pointer;
  transition: .2s ease-in-out;
  text-decoration: none;
  line-height: 1.6;
}

/* Style pour l'état actif/ouvert */
[aria-expanded="true"]+.demande-content {
    display: block;
}

/* <ul> contenant l'intégralité des demandes */
.demandes-list {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

/* <li> affichant une liste */
.demandes-list .demande-item {
    background-color: #F0EFF0;
    border-radius: 5px;
}

/* H2 qui est le container de la demande... */
.demandes-list .demande-item .demande-title {
    font: unset;
}

/* <a> qui est le container de la demande */
.demandes-list .demande-item .demande-link {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 32px;
    text-decoration: none;
    gap: 12px;
    position: relative;
}

/* Titre de la demande */
.demandes-list .demande-item .demande-link .demande-ref {
    font-size: 18px;
    font-weight: bold;
}

/* Affichage des dates de la demande */
.demandes-list .demande-item .demande-link .demande-date {
    display: flex;
    gap: 8px;
}

/* Position du picto permettant d'avertir l'utilisateur de l'arrivée d'un message lié à sa demande OU son action */
.demandes-list .demande-item .demande-link>.demande-notification,
.actions-list .action-item .action-header .action-notification {
    position: absolute;
    right: 48px;
}

/* Positionnement de la flèche de l'accordéon : demandes & actions */
.demandes-list .demande-item .demande-link .demande-arrow,
.actions-list .action-item .action-header .action-arrow {
    position: absolute;
    right: 16px;
    transform: rotate(180deg) !important;
    transition: .2s ease-in-out;
}

.demandes-list .demande-item .demande-header[aria-expanded=true] .demande-link .demande-arrow,
.actions-list .action-item .action-header[aria-expanded="true"] .action-arrow {
    transform: rotate(0deg) !important;
}

/* Style global des tags présents dans les demandes */
.status-card {
    border: 1px solid #333446;
    border-radius: 5px;
    font-size: 12px;
    text-transform: uppercase;
    font-weight: bold;
    padding: 8px 16px;
}

/* Style des tags de refus/blocages : Fermé, Refusé, Abandonné */
.status-closed,
.status-refused,
.status-givenup {
    background-color: #FDE2E1;
    color: #B23A48;
    border-color: #B23A48;
}

/* Style des tags en attente : A valider, archivé  */
.status-todo,
.status-classified,
.status-awaiting {
    background-color: #FDF6E1;
    color: #A86000;
    border-color: #A86000;
}

/* Style des tags de succès/complétion : Ouvert, Finis, Validé */
.status-validate,
.status-finished,
.status-opened {
    background-color: #E3F9E5;
    color: #2E654B;
    border-color: #2E654B;
}

/* Contenu de la demande : Accordéon */
.demandes-list .demande-content {
    padding: 24px 0;
    background-color: #FFFFFF;
}

/* Container des détails de la demandes */
/* Le ciblage du css est différent, c'est pour que cela fonctionne sur l'affichage réduit et détaillé */
#empr-dema .demande-details {
    margin-top: 12px;
    margin-bottom: 24px;
}

/* Ciblage des éléments <p> qui affiche les détails de la demande */
/* Le ciblage du css est différent, c'est pour que cela fonctionne sur l'affichage réduit et détaillé */
#empr-dema .demande-details > p:not(:last-child) {
    margin-bottom: 8px;
}

/* Bouton d'accès à la demande */
.demandes-list .demande-content .demande-details .demande-details-link {
    float: right;
}

/* Styles liés aux actions dans les demandes */

/* Titre introductif des actions */
.demandes-list .demande-content .demande-actions .actions-title-demandes { 
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 16px;
}

.demandes-list .demande-content .demande-actions .actions-list-demandes {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 12px;
    margin-right: 16px;
}

.demandes-list .demande-content .demande-actions .actions-list-demandes .action-item-demandes {
    background-color: transparent;
    padding: 16px 24px;
    border-radius: 5px;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    gap: 4px;
    position: relative;
    border: 1px solid #333446;
}

/* Bouton pour accéder à la demande présent dans l'accordéon */
.demandes-list .demande-content .demande-details .demande-details-link {
    background-color: #F9F9F9;
    color: #333446;
    padding: 12px 24px;
    border: 1px solid #333446;
    border-radius: 5px;
    text-decoration: none;
    transition: .2s ease-in-out;
    margin-right: 16px;
}

/* Bouton pour accéder à la demande présent dans l'accordéon - Hover */
.demandes-list .demande-content .demande-details .demande-details-link:hover {
    background-color: #333446;
    color: #F9F9F9;
    border: 1px solid #333446;
}


/* Style qui permet de gérer l'affichage des types d'actions */
.demandes-list .demande-content .demande-actions .actions-list-demandes .action-item-demandes div[class^="action-type-demandes"],
.actions-list .action-item .action-header div[class^="action-type"] {
    display: flex;
    align-items: center;
    gap: 4px;
}

.demandes-list .demande-content .demande-actions .actions-list-demandes .action-item-demandes .action-notification {
    position: absolute;
    right: 24px;
}

/* Actions dans la demande détaillée */

#empr-dema .button {
    margin: 12px 0 24px 0;
}

.actions-list {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

/* Button de l'acoordéon permettant d'afficher le détail de l'action */
.actions-list .action-item .action-header {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 24px;
    gap: var(--spacing-sm);
    background-color: transparent;
    border: 1px solid #333446;
    border-radius: 4px;
    color: #333446;
    position: relative;
    text-align: left;
    line-height: 1.5;
}

.actions-list .action-item .action-details {
    padding: 24px 0;
}

/* Container des détails de l'actions */
.actions-list .action-item .action-details .action-content div[id^="notes"] {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
}

/* Container des notes/discussion dans l'action */
.actions-list .action-item .action-details .action-content .action-content-notes {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 4px;
}

/* Style des h3 dans les détails de l'action */
.actions-list .action-item .action-details h3 {
    font-size: 18px;
    font-weight: bold;
}

.actions-list .action-item .action-details .action-content .action-content-notes .modif_notes {
    margin: 16px 0;
}

/* Container de la bulle de discussion */
.actions-list .action-item .action-details .action-content .action-content-notes .container_bulle {
    display: flex;
    flex-direction: column;
}

/* Style des bulles de discussion */
.actions-list .action-item .action-details .action-content .action-content-notes .bulle {
    padding: 12px;
    border-radius: 5px;
    position: relative;
    background-color: #F0EFF0;
    color: #333446;
}

.actions-list .action-item .action-details .action-content .action-content-notes .bulle_gest {
    align-self: flex-start;
}

.actions-list .action-item .action-details .action-content .action-content-notes .bulle_opac {
    align-self: flex-end;
}

.actions-list .action-item .action-details .action-content .action-content-notes .bulle .entete_note {
    font-size: 12px;
}

.actions-list .action-item .action-details .action-content .action-content-notes .write_note {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

/* RESPONSIVE */

@media screen and (max-width: 640px) {

    .demandes-list .demande-content .demande-actions .actions-list-demandes {
        display: flex;
        flex-direction: column;
    }

}